package game

import rl "vendor:raylib"
import "core:math/rand"

Tile :: struct #packed {
    tilemap_pos: Vec2i,
    color: [4]u8,
    type: TileType,
    interaction: InteractionType,
    resource: ResourceType,
}

TileType :: enum u8 {
    NOTHING,
    WALL,
    FOLIAGE,
}

ResourceType :: enum u8 {
    NOTHING,
    TREE,
}

InteractionType :: enum u8 {
    NOTHING,
    RESOURCE,
    ENEMY,
}

nothing_tile := Tile {
    type = .FOLIAGE,
    tilemap_pos = {1,2},
    color = {30,30,0,255},
    interaction = .NOTHING,
    resource = .NOTHING
}

tree_tile := Tile {
    type = .WALL,
    tilemap_pos = {0,1},
    color = {17,87,30,255},
    resource = .TREE,
    interaction = .RESOURCE,
}
